Bug 1412298 - Document to run `ipa server-del $SERVER_HOSTNAME` before uninstallation of $SERVER
Summary: Document to run `ipa server-del $SERVER_HOSTNAME` before uninstallation of $S...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Aneta Šteflová Petrová
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 17:12 UTC by Petr Vobornik
Modified: 2019-03-06 02:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 09:36:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Vobornik 2017-01-11 17:12:58 UTC
Currently documented procedure in Chapter 2.4 is in theory correct but the method is not reliable. It suffers from possible race conditions where results of `server-del` command which is run internally on the removed server is not correctly replicated to other masters which leads to surprises(not deleted entries). It then needs to be resolved by running `ipa server-del $DELETED_SERVER_HOSTNAME --force`. This behavior won't be fixed soon (not easy).

Therefore it would be better to document a method which is more similar to pre-7.3 method:

otheripaserver#  ipa server-del $TOBE_DELETED_SERVER_HOSTNAME
tobedeletedserverd# ipa-server-install --uninstall

other ipa servers can be obtained by running `ipa server-find`

Note: `ipa server-del` takes cares of both suffixes. No 'CS' variant like with `ipa-(cs)replica-manage` is needed.

Comment 4 Aneta Šteflová Petrová 2017-01-18 11:31:15 UTC
The procedure in 2.4. Uninstalling an IdM Server has been updated as requested in c#0.

Comment 7 Aneta Šteflová Petrová 2017-03-14 09:36:08 UTC
The update is now available on the Customer Portal.


Note You need to log in before you can comment on or make changes to this bug.